# SPDX-License-Identifier: BSD-2-Clause
#
# SPDX-FileCopyrightText: Copyright (c) 2021-2025, NVIDIA CORPORATION & AFFILIATES. All rights reserved.
#

subdirs-y += common
subdirs-$(PLATFORM_FLAVOR_t234) += t234
subdirs-$(PLATFORM_FLAVOR_t264) += t264

# Add source files and include header files from $(NV_OPTEE_DIR)
ifneq ("$(wildcard $(NV_OPTEE_DIR))","")
subdirs_ext-y += $(NV_OPTEE_DIR)/core/drivers/tegra
global-incdirs_ext-y += $(NV_OPTEE_DIR)/core/include
endif
